import pymel.core as pm
from alShaders import *

class AEalAtmosphereTemplate(alShadersTemplate):
	controls = {}
	params = {}
	def setup(self):
		self.params.clear()
		self.params["units"] = Param("units", "Units", "Number of 3D units in a meter. The default of 0.01 specifies that the 3D scene units are centimeters", "float", presets=None)
		self.params["mode"] = Param("mode", "Mode", "mode", "enum", presets=None)
		self.params["camera_height"] = Param("camera_height", "Camera height", "", "float", presets=None)
		self.params["earth_center"] = Param("earth_center", "Earth center", "", "vector", presets=None)
		self.params["earth_radius"] = Param("earth_radius", "Earth radius", "", "float", presets=None)
		self.params["atmos_radius"] = Param("atmos_radius", "Atmosphere radius", "", "float", presets=None)
		self.params["sun_direction"] = Param("sun_direction", "Sun direction", "", "vector", presets=None)
		self.params["aerosol_density"] = Param("aerosol_density", "Aerosol density", "", "float", presets=None)
		self.params["exposure"] = Param("exposure", "Exposure", "", "float", presets=None)

		self.addSwatch()
		self.beginScrollLayout()

		self.addCustomFlt("units")
		self.addControl("mode", label="Mode", annotation="mode")
		self.addCustomFlt("camera_height")
		self.addControl("earth_center", label="Earth center", annotation="")
		self.addCustomFlt("earth_radius")
		self.addCustomFlt("atmos_radius")
		self.addControl("sun_direction", label="Sun direction", annotation="")
		self.addCustomFlt("aerosol_density")
		self.addCustomFlt("exposure")

		pm.mel.AEdependNodeTemplate(self.nodeName)
		self.addExtraControls()

		self.endScrollLayout()
